Where can I get gcc for AIX 4.3?

Hi. I have been trying to get a version of gcc to work on my AIX 4.3 box.  I have gcc 3.3.4, but when I compile my code, I get all sorts of compile errors in the curses headers.  I am not sure if it has to do woth the version of gcc or not, so I was goiong to upgrade to the latest version of gcc (3.4.3).  I  have the source code and was attempting to build it, but it constantly fails. Are there binaries out there that I can just download for AIX 4.3?  Also, does anybody know of any incompatibilities between AIX 4.3 and gcc 3.3.4 that would cause me to have problems compiling curses code?  Thanks  in advance.
mromeoAsked:
Who is Participating?
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

gripeCommented:
Is it possible that you're missing a library? (Like ncurses?) I would try installing that first.

You can get installable gcc packages (and much more) for AIX 4.3.3 at www.bullfreeware.com.
0
mromeoAuthor Commented:
Linking isn't the problem.  I can't even get it to compile   I'm using gcc 3.3.4.  Is  this not supported by AIX 4.3?  When I went to the website you gave me above, I noticed for AIX 4.3.3, it only goes up to gcc 3.3.1.0.  
0
mromeoAuthor Commented:
Also, I'm running 4.3, not 4.3.3.  Is this going to be a problem if I try to use the website you gave me above?
0
Cloud Class® Course: MCSA MCSE Windows Server 2012

This course teaches how to install and configure Windows Server 2012 R2.  It is the first step on your path to becoming a Microsoft Certified Solutions Expert (MCSE).

gripeCommented:
Not sure, sometimes the installable packages are slightly out of date. It's been a while since I've been there. You might not be able to get the 'latest and greatest/bleeding edge' until they release a package for it.
0
gripeCommented:
What does oslevel report? I wasn't aware there was ever just a v4.3 but but shouldn't be a problem. It's just installing binary sets. If it doesn't work, you can just uninstall.
0
mromeoAuthor Commented:
it's 4.3.3.0.  I was using uname to get the info, and it doesn't report to that level.  thanks.  Ok, I'll try an earlier version of gcc and see if that makes a difference.
0
mromeoAuthor Commented:
Before I instll this I would like to know if gcc 3.3.4 is compatible with AIX 4.3.3.  Where can I find this info?  I don't want to go back a gcc version to find that it wasn't the problem.
0
gripeCommented:
I'm sure it's compatible if you were able to compile and install it. Where did you get the copy you're using now? What exactly are the errors you're seeing when you're trying to compile with it?

Here is another site with AIX binaries specifically distributing gcc 3.3.4:

http://aixpdslib.seas.ucla.edu/packages/gcc.html

Also, there is a note on that page:

Note:  A fix for the AIX assembler is needed in order to build a working libstdc++. The fixes are APAR IY26685 (AIX 4.3) or APAR IY25528 (AIX 5.1). See http://gcc.gnu.org/install/specific.html#*-ibm-aix* for more information.

Not sure if that applies, but it's worth investigating.
0

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
System Programming

From novice to tech pro — start learning today.

Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.